﻿// Created by: X
// Web: http://www.createdbyx.com/
// Date: January 28, 2008
// =============================================
using System;
using System.Collections.Generic;
using System.Text;

namespace MMO_Objects
{
    public abstract class BaseItem : IItem
    {
        protected string name = string.Empty;
        protected string description = string.Empty;
        protected string category = string.Empty;
        protected Actor owner = null;
        protected Guid uid = Guid.Empty;

        #region IItem Members

      public virtual string Description
        {
            get { return this.description; }
        }

      public virtual string Name
        {
            get { return this.name; }
        }

      public virtual string Category
        {
            get { return this.category; }
        }

      public virtual Guid UID
        {
            get { throw new NotImplementedException(); }
        }

      public virtual Actor Owner
        {
            get { return this.owner; }
        }

      public virtual void Execute()
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
