//Created by: X
//Web: http://www.createdbyx.com/
//Date: January 7, 2008
//=============================================

   using System;
using System.Collections.Generic;
using System.Text;

namespace MMO_Objects
{
 public class Bronze : IMaterial
    {
        public Actor owner = null;

        public Bronze(Actor owner)
        {
            if (owner == null) throw new ArgumentNullException("owner");
            this.owner = owner;
        }

        #region IItem Members

        string IItem.Description
        {
            get { return "A piece or bronze"; }
        }

        string IItem.Name
        {
            get { return "Bronze"; }
        }

        string IItem.Category
        {
            get { return "Material"; }
        }

        Guid IItem.UID
        {
            get { return new Guid("bfae0fb9-8da3-4e68-8aa8-503977c8423d"); }
        }

        Actor IItem.Owner
        {
            get { return this.owner; }
        }

        void IItem.Execute()
        {
            // does nothing
        }

        #endregion
    }
}