// Created by: X
// Web: http://www.createdbyx.com/
// Date: January 7, 2008
// =============================================

using System;
using System.Collections.Generic;
using System.Text;

namespace MMO_Objects
{
    public class Copper : IMaterial
    {
        public Actor owner = null;

        public Copper(Actor owner)
        {
            if (owner == null) throw new ArgumentNullException("owner");
            this.owner = owner;
        }

        #region IItem Members

        string IItem.Description
        {
            get { return "A piece or copper"; }              
        }

        string IItem.Name
        {
            get { return "Copper"; }
        }

        string IItem.Category
        {
            get { return "Material"; }
        }

        Guid IItem.UID
        {
            get { return new Guid("808acce9-ffbc-4b87-a7d7-3509843803a8"); }
        }

        Actor IItem.Owner
        {
            get { return this.owner; }
        }

        void IItem.Execute()
        {
            // does nothing
        }

        #endregion
    }
}