﻿// Created by: X
// Web: http://www.createdbyx.com/
// Date: January 28, 2008
// =============================================
using System;
using System.Collections.Generic;
using System.Text;

namespace MMO_Objects
{
    public class Rubber  : IMaterial
    {
        public Actor owner = null;

      public Rubber(Actor owner)
        {
            if (owner == null) throw new ArgumentNullException("owner");
            this.owner = owner;
        }

        #region IItem Members

        string IItem.Description
        {
            get { return "A piece or rubber"; }
        }

        string IItem.Name
        {
            get { return "Rubber"; }
        }

        string IItem.Category
        {
            get { return "Material"; }
        }

        Guid IItem.UID
        {
            get { return new Guid("053efec0-4fe6-48d1-8982-67106b5db954"); }
        }

        Actor IItem.Owner
        {
            get { return this.owner; }
        }

        void IItem.Execute()
        {
            // does nothing
        }

        #endregion
    }



}
