//Created by: X
//Web: http://www.createdbyx.com/
//Date: January 7, 2008
//=============================================

   using System;
using System.Collections.Generic;
using System.Text;

namespace MMO_Objects
{
    public class Tin : IMaterial
    {
        public Actor owner = null;

        public Tin(Actor owner)
        {
            if (owner == null) throw new ArgumentNullException("owner");
            this.owner = owner;
        }

        #region IItem Members

        string IItem.Description
        {
            get { return "A piece or tin"; }
        }

        string IItem.Name
        {
            get { return "Tin"; }
        }

        string IItem.Category
        {
            get { return "Material"; }
        }

        Guid IItem.UID
        {
            get { return new Guid("a00ea0d5-bcc8-4f43-969e-f25ef03637c7"); }
        }

        Actor IItem.Owner
        {
            get { return this.owner; }
        }

        void IItem.Execute()
        {
            // does nothing
        }

        #endregion
    }
}