﻿// Created by: X
// Web: http://www.createdbyx.com/
// Date: January 28, 2008
// =============================================
using System;
using System.Collections.Generic;
using System.Text;

namespace MMO_Objects
{
    public class Weapon_SimpleKnife  : IItem
    {
        private Actor owner;

        public Weapon_SimpleKnife(Actor owner)
        {
            if (owner == null) throw new ArgumentNullException("owner");
            this.owner = owner;
        }

        #region IItem Members

        string IItem.Description
        {
            get
            {
                return "A simple knife";
            }
        }

        string IItem.Name
        {
            get
            {
                return "Simple Knife";
            }
        }

        string IItem.Category
        {
            get
            {
                return "Weapon";
            }
        }

        Guid IItem.UID
        {
            get
            {
                return new Guid("5171b81f-4fc8-4ac3-9f1c-934c739f454c");
            }
        }

        Actor IItem.Owner
        {
            get
            {
                return this.owner;
            }
        }

        void IItem.Execute()
        {
            throw new NotImplementedException();
        }
        
        #endregion
    }
}
