﻿// Created by: X
// Web: http://www.createdbyx.com/
// Date: January 28, 2008
// =============================================
using System;
using System.Collections.Generic;
using System.Text;

namespace MMO_Objects
{
    public class Steel   : IMaterial
    {
    private Actor owner = null;
        
       public Steel(Actor owner)
        {
            if (owner == null) throw new ArgumentNullException("owner");
            this.owner = owner;
        }

        #region IItem Members

        string IItem.Description
        {
            get { return "A piece of steel"; }
        }

        string IItem.Name
        {
            get { return "Steel"; }
        }

        string IItem.Category
        {
            get { return "Material"; }
        }

        Guid IItem.UID
        {
            get { return new Guid("e5c882f1-2b3a-4376-a29f-ed41ba74cb2b"); }
        }

        Actor IItem.Owner
        {
            get { return this.owner; }
        }

        void IItem.Execute()
        {
            // does nothing
        }

        #endregion
    }
}
